﻿.contact-box{
    width: 300px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.contact-info-box{
    font-size: 0;
}
.contact-info-list{
    display: block;
    margin-bottom: 5px;
    font-size: 16px;
    letter-spacing: 3px;
}
.contact-info-list-link{
    display: inline-block;
    vertical-align: middle;
    transition: all .5s ease;
}
.contact-info-form {
    width: 100%;
    max-width: 100%;
    display: block;
    margin: 10px auto;
    padding-top: 10px;
}

.contact-form-list{
    width: 100%;
    display: block;
    margin-bottom: 20px;
}

.contact-form-list input {
    width: 100%;
    box-sizing: border-box;
    height: 35px;
    font-size: 14px;
    letter-spacing: 3px;
    padding-left: 10px;
    border: 1px solid #898989;
    color: #000;
}

::-webkit-input-placeholder { font-family: "微軟正黑體";}
:-moz-placeholder { font-family: "微軟正黑體"; }
::-moz-placeholder { font-family: "微軟正黑體"; }
:-ms-input-placeholder { font-family: "微軟正黑體"; }

.button button{
    width: 100px;
    font-size: 28px;
    letter-spacing: 5px;
    text-align: center;
    display: block;
    margin: 0 auto;
    background-color: transparent;
    border: 0;
    font-weight: bold;
    outline: none;
    cursor: pointer;
    transition: all .5s ease;
}

.contact-info-form textarea {
    box-sizing: border-box;
    width: 100%;
    height: 130px;
    resize: none;
    font-size: 14px;
    letter-spacing: 3px;
    padding-left: 10px;
    border: 1px solid #898989;
    outline: none;
}
.contact-form-list-textarea{
    margin-bottom: 10px;
}
.map {
    width: 100%;
    height: 214px;
    overflow: hidden;
    position: relative;
    margin-top: 23px;
}




/*--------contact共用-----------*/
.contact-radio-lable,
.contact-checkbox-lable{
  display: inline-block; 

}
.contact-radio-lable input,
.contact-checkbox-lable input{
  opacity: 0;
  position: absolute;
  pointer-events: none;
}
.contact-radio-lable span,
.contact-checkbox-lable span{
  position: relative;
  display: block;
  vertical-align: middle;
  letter-spacing: 2px;
  padding-left: 30px;
}

.contact-radio-lable span:before,
.contact-checkbox-lable span:before{
  content: 'none';
  font-size: 0;
  width: 20px;
  height: 20px;
  display: block;
  position: absolute;
  left: 0;
  top: 4px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid #d1d1d1;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  margin-right: 5px;
}

.contact-form-radio-list{
  margin-top: 10px;
}
.contact-form-list-title span{
  color: #c71313;
}

button{
  font-family: "微軟正黑體","Microsoft JhengHei";
}
.contact-form-select{
  width: 100%;
  height: 40px;
  box-sizing: border-box;
  border: 1px solid #555;
  display: block;
  margin-top: 10px;
  letter-spacing: 2px;
  padding-left: 10px;
  color: #555;
  position: relative;
  -webkit-appearance: none; /*Chrome*/
  -moz-appearance: none; /*FF*/
  appearance: none;/*CSS3*/
}
.contact-form-select-box{
  position: relative;
}
.contact-form-select-box:after{
  content: 'none';
  font-size: 0;
  width: 0px;
  height: 0px;
  margin: 0 auto;
  border-right: 10px solid transparent;
  border-top: 12px solid #555;
  border-left: 10px solid transparent;
  display: block;
  position: absolute;
  right: 10px;
  top: 15px;
  pointer-events: none;
}
.contact-form-select-box:before{
  content: 'none';
  font-size: 0;
  width: 40px;
  height: 100%;
  display: block;
  border-left: 1px solid #555;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 1;
}

.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-repeat: no-repeat;
  background-size: 80%;
  background-position: center;
}
.contact-checkbox-lable input:checked + span:before{
  background-image: url(../img/front/checked.png);
  background-size: 70%;
}

/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #000;
  position: relative;
  padding: 80px;
  border-radius: 5px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}
@media only screen and (min-width: 1000px){
    .contact-info-box{
        animation: fadeInLeft .8s ease 0.2s 1 both;
    }
    .contact-info-form{
        animation: fadeInRight .8s ease 0.2s 1 both;
    }
    .button{
        animation: fade .8s ease 0.6s 1 both;
    }
    .button button:hover{
        color: #db2130;
    }
}
@media only screen and (max-width: 480px){

  .contact-thanks, .alert-info{
    width: 95%;
    box-sizing: border-box;
    margin: 0 auto;
  }
  .contact-thanks-p{
    font-size: 20px;
  }
}